Name:          pax-logging
Version:       1.6.9
Release:       %mkrel 8
Summary:       OSGi Logging framework implementation
Group:         Development/Java
License:       ASL 2.0 and BSD and MIT
URL:           http://team.ops4j.org/wiki//display/paxlogging/Pax+Logging
# git clone git://github.com/ops4j/org.ops4j.pax.logging.git pax-logging-1.6.9
# cd pax-logging-1.6.9 && git archive --format=tar --prefix=pax-logging-1.6.9/ logging-1.6.9  | xz > pax-logging-1.6.9-src-git.tar.xz
Source0:       %{name}-%{version}-src-git.tar.xz

BuildArch:     noarch

BuildRequires: java-devel

BuildRequires: mvn(avalon-framework:avalon-framework-api)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin

%description
The OSGi Logging framework implementation. Supports SLF4J,
LOG4J,Jakarta Commons Logging etc.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%pom_remove_parent
%pom_disable_module pax-logging-it
%pom_disable_module pax-logging-samples
# test deps*
%pom_remove_dep junit:junit
%pom_remove_dep org.easymock:easymock
# unavailable
%pom_remove_dep jmock:jmock
%pom_remove_dep org.ops4j.pax.exam:pax-exam
%pom_remove_dep org.ops4j.pax.exam:pax-exam-container-default
%pom_remove_dep org.ops4j.pax.exam:pax-exam-junit
%pom_remove_dep org.ops4j.pax.runner:pax-runner-no-jcl
# sample deps
%pom_remove_dep org.mortbay.jetty:jetty

%pom_remove_plugin org.ops4j:maven-pax-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-shade-plugin

sed -i "s|<source>1.4</source>|<source>1.5</source>|" pom.xml
sed -i "s|<target>1.4</target>|<target>1.5</target>|" pom.xml
# prevent log4j re-bundle 
sed -i "s|<_include>-osgi.bnd</_include>|<!--_include>-osgi.bnd</_include-->|" pom.xml

sed -i "s|<version>1.2.16</version>|<version>1.2.17</version>|" pom.xml
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId='log4j']" "<version>1.2.17</version>" pax-logging-service

%pom_remove_dep jmock:jmock pax-logging-api
%pom_remove_dep junit:junit pax-logging-api
%pom_remove_plugin org.ops4j:maven-pax-plugin pax-logging-api
%pom_remove_plugin org.apache.maven.plugins:maven-dependency-plugin pax-logging-api

%pom_remove_dep jmock:jmock pax-logging-service
%pom_remove_plugin org.ops4j:maven-pax-plugin pax-logging-service
%pom_remove_plugin org.apache.maven.plugins:maven-shade-plugin pax-logging-service
%pom_remove_plugin org.apache.maven.plugins:maven-dependency-plugin pax-logging-service

%mvn_file :%{name}-api %{name}-api
%mvn_file :%{name}-service %{name}-service

%build

# test skip unavailable test deps*
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

cp -rp pax-logging-api/NOTICE.txt .

%install

%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS.txt LICENSE.txt NOTICE.txt RELEASE-NOTES.html

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt


%changelog
* Sat Jan 17 2015 daviddavid <daviddavid> 1.6.9-8.mga5
+ Revision: 811109
- Sync with fc21

* Thu Oct 16 2014 umeabot <umeabot> 1.6.9-7.mga5
+ Revision: 762428
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.9-5.mga4
+ Revision: 508914
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.9-4.mga3
+ Revision: 362473
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.6.9-3.mga3
+ Revision: 325871
- imported package pax-logging


* Mon Oct 15 2012 gil cattaneo <puntogil@libero.it> 1.6.9-3
- remove duplicate buildrequire

* Sun Oct 14 2012 gil cattaneo <puntogil@libero.it> 1.6.9-2
- fixed license tag

* Thu Aug 16 2012 gil cattaneo <puntogil@libero.it> 1.6.9-1
- initial rpm
